Bug 9873 - Неверная строка вызова xterm в /etc/menu-methods/fvwm
: Неверная строка вызова xterm в /etc/menu-methods/fvwm
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/fvwm-base)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2006-08-14 11:05 by
Modified: 2006-10-11 02:00 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-08-14 11:05:06
Не вызываются консольные приложения из меню FVWM - из-за того, что:

$ grep xterm /etc/menu-methods/fvwm
    " Exec /usr/bin/X11/xterm -T \"" ltitle() "\" -e " $command "\n"

$ which xterm                      
/usr/bin/xterm

$ rpm -qf /etc/menu-methods/fvwm   
fvwm-base-2.5.16-alt2

$ rpm -q xterm                   
xterm-211-alt1
------- Comment #1 From 2006-08-14 15:03:30 -------
Вообще с этим в разных WM наблюдается какой-то разброд - где-то используется
xterm, но, насколько я понимаю, правильнее всё-таки ставить term() (правда,
тогда пропадёт установка заголовка через опцию -T).
------- Comment #2 From 2006-08-23 21:55:06 -------
Fixed in fvwm-2.5.16-alt3.
------- Comment #3 From 2006-08-25 07:41:08 -------
(In reply to comment #1)
> Вообще с этим в разных WM наблюдается какой-то разброд - где-то используется
> xterm, но, насколько я понимаю, правильнее всё-таки ставить term() (правда,
> тогда пропадёт установка заголовка через опцию -T).

Во Fluxbox используется term() и пришлось отказаться от -T :( (см.
https://bugzilla.altlinux.org/show_bug.cgi?id=8782)